Eclipse Platform Release 3.7

## org.eclipse.update.operations
Interface IUpdateModelChangedListener

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IUpdateModelChangedListener

Listener for update model changes. Usually, when features are installed, configured, etc. a GUI may need to update its state, so it will have to register with the OperationsManager for update events.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`void` `objectChanged(Object object, String property)` Deprecated. Called when there are changes to a site/feature/etc.
`void` `objectsAdded(Object parent, Object[] children)` Deprecated. Called after a feature/site/etc. is added
`void` `objectsRemoved(Object parent, Object[] children)` Deprecated. Called after a feature/site/etc. is removed.

Method Detail

### objectsAdded

    void objectsAdded(Object parent,
                      Object[] children)

  Deprecated.
  Called after a feature/site/etc. is added

  Parameters:
    `parent` - parent object
    `children` - added children

### objectsRemoved

    void objectsRemoved(Object parent,
                        Object[] children)

  Deprecated.
  Called after a feature/site/etc. is removed.

  Parameters:
    `parent` - parent object
    `children` - removed children

### objectChanged

    void objectChanged(Object object,
                       String property)

  Deprecated.
  Called when there are changes to a site/feature/etc.

  Parameters:
    `object` - object that changed
    `property` - object property that changed

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.